
<div class="alert alert-info mt-5" *ngIf="clientes?.length == 0">
    No hay juegos
</div>
<div class="container card col-sm-12 pb-5 pt-5 mt-5 mb-5 bg-light " *ngIf="clientes?.length >0">
    <div class="card-header">
        <h2>Listado de Clientes</h2>
        <button class="btn btn-primary btn-rounded" type="button" [routerLink]="['/clientes/form']">Crear
            cliente</button>
    </div>

    <div class="card-body">
        <table class="card-text table table-bordered table-striped ">
            <thead class="text-center">
                <tr>
                    <th>Nombre</th>
                    <th>Usuario</th>
                    <th>Fecha de Nacimiento</th>
                    <th>Email</th>
                    <th>D.N.I</th>
                    <!--     <th>Contraseña</th> -->
                    <th>Role</th>
                    <th>Editar</th>
                    <th>Eliminar</th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let cliente of clientes | paginate:page_size:page_number">
                    <td>{{cliente.nombre}}</td>
                    <td>{{cliente.userName}}</td>
                    <td>{{cliente.fechaNacimiento}}</td>
                    <td>{{cliente.correo}}</td>
                    <td>{{cliente.dni}}</td>
                    <!--   <td>{{cliente.pass}}</td> -->
                    <td>
                        <span *ngFor="let role of cliente.roles">
                            {{ role.rol }},
                        </span>
                    </td>
                    <td class="text-center">
                        <button class="btn btn-secondary ml-1 mb-1" type="button" name="button"
                            [routerLink]="['/clientes/form',cliente.dni]"><svg xmlns="http://www.w3.org/2000/svg"
                                height="24" viewBox="0 0 24 24" width="24">
                                <path
                                    d="M3 17.25V21h3.75L17.81 9.94l-3.75-3.75L3 17.25zM20.71 7.04c.39-.39.39-1.02 0-1.41l-2.34-2.34c-.39-.39-1.02-.39-1.41 0l-1.83 1.83 3.75 3.75 1.83-1.83z" />
                                <path d="M0 0h24v24H0z" fill="none" /></svg></button>

                    </td>
                    <td class="text-center">
                        <button class="btn btn-danger" type="button" name="button" (click)="detete(cliente.dni)"><svg
                                xmlns="http://www.w3.org/2000/svg" height="24" viewBox="0 0 24 24" width="24">
                                <path d="M0 0h24v24H0V0z" fill="none" />
                                <path
                                    d="M6 19c0 1.1.9 2 2 2h8c1.1 0 2-.9 2-2V7H6v12zm2.46-7.12l1.41-1.41L12 12.59l2.12-2.12 1.41 1.41L13.41 14l2.12 2.12-1.41 1.41L12 15.41l-2.12 2.12-1.41-1.41L10.59 14l-2.13-2.12zM15.5 4l-1-1h-5l-1 1H5v2h14V4z" />
                                <path d="M0 0h24v24H0z" fill="none" /></svg></button>
                    </td>
                </tr>
            </tbody>
          
        </table>
        <div class="col-sm-12">
            <mat-paginator [length]="clientes.length" [pageSize]="page_size" [pageSizeOptions]="pageSizeOptions" (page)="handlePage($event)">
            </mat-paginator>
        </div>

    </div>
    

</div>